# H248_IndAuditParameter Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Choices { e_indaudmediaDescriptor, e_indaudeventsDescriptor, e_indaudeventBufferDescriptor, e_indaudsignalsDescriptor, e_indauddigitMapDescriptor, e_indaudstatisticsDescriptor, e_indaudpackagesDescriptor }

## Public Member Functions

| H248_IndAuditParameter (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H248_IndAudMediaDescriptor & ()
| operator const H248_IndAudMediaDescriptor & () const
| operator H248_IndAudEventsDescriptor & ()
| operator const H248_IndAudEventsDescriptor & () const
| operator H248_IndAudEventBufferDescriptor & ()
| operator const H248_IndAudEventBufferDescriptor & () const
| operator H248_IndAudSignalsDescriptor & ()
| operator const H248_IndAudSignalsDescriptor & () const
| operator H248_IndAudDigitMapDescriptor & ()
| operator const H248_IndAudDigitMapDescriptor & () const
| operator H248_IndAudStatisticsDescriptor & ()
| operator const H248_IndAudStatisticsDescriptor & () const
| operator H248_IndAudPackagesDescriptor & ()
| operator const H248_IndAudPackagesDescriptor & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_IndAuditParameter::Choices

Enumerator:

  e_indaudmediaDescriptor |
  e_indaudeventsDescriptor |
  e_indaudeventBufferDescriptor |
  e_indaudsignalsDescriptor |
  e_indauddigitMapDescriptor |
  e_indaudstatisticsDescriptor |
  e_indaudpackagesDescriptor |

## Constructor & Destructor Documentation

H248_IndAuditParameter::H248_IndAuditParameter | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_IndAuditParameter::operator H248_IndAudMediaDescriptor & | ( |  | ) |

H248_IndAuditParameter::operator const H248_IndAudMediaDescriptor & | ( |  | ) | const

H248_IndAuditParameter::operator H248_IndAudEventsDescriptor & | ( |  | ) |

H248_IndAuditParameter::operator const H248_IndAudEventsDescriptor & | ( |  | ) | const

H248_IndAuditParameter::operator H248_IndAudEventBufferDescriptor & | ( |  | ) |

H248_IndAuditParameter::operator const H248_IndAudEventBufferDescriptor & | ( |  | ) | const

H248_IndAuditParameter::operator H248_IndAudSignalsDescriptor & | ( |  | ) |

H248_IndAuditParameter::operator const H248_IndAudSignalsDescriptor & | ( |  | ) | const

H248_IndAuditParameter::operator H248_IndAudDigitMapDescriptor & | ( |  | ) |

H248_IndAuditParameter::operator const H248_IndAudDigitMapDescriptor & | ( |  | ) | const

H248_IndAuditParameter::operator H248_IndAudStatisticsDescriptor & | ( |  | ) |

H248_IndAuditParameter::operator const H248_IndAudStatisticsDescriptor & | ( |  | ) | const

H248_IndAuditParameter::operator H248_IndAudPackagesDescriptor & | ( |  | ) |

H248_IndAuditParameter::operator const H248_IndAudPackagesDescriptor & | ( |  | ) | const

PBoolean H248_IndAuditParameter::CreateObject | ( |  | ) |

PObject* H248_IndAuditParameter::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h